Bug 44131 - Bookmarks deleted by undo TABLE sort (EDITING)
Summary: Bookmarks deleted by undo TABLE sort (EDITING)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Undo-Redo
  Show dependency treegraph
 
Reported: 2011-12-24 16:45 UTC by G.King
Modified: 2017-04-21 08:20 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Demo of undesired deletion of bookmarks (9.58 KB, application/vnd.oasis.opendocument.text)
2011-12-24 16:45 UTC, G.King
Details

Note You need to log in before you can comment on or make changes to this bug.
Description G.King 2011-12-24 16:45:48 UTC
Created attachment 54799 [details]
Demo of undesired deletion of bookmarks

PREAMBLE:
The attached document is a very simple specimen "academic paper" in which references (to other papers), indicated by numbers in square brackets, are resolved in a Table at the end of the document.  

The author's intention is (i) to create references in arbitrary order, as they occur when writing the document.  Just before publication, the references are to be sorted (ii) into alphabetical order of lead author.  The Table of References is to be automatically renumbered (iii), and the references in the text of the document are to be renumbered accordingly (iv).  This is a reasonable and standard requirement in writing such a document.

Each reference in the Table of References is indexed by a Field of type Number Range.  This is in order to facilitate the renumbering of references at step (iii) above.  For each reference in the Table, the reference number is bookmarked.  The bookmark is used to insert the reference number into the main text of the document.

Just before publication, the author selects the entire Table (Table, Select table) and sorts in on column 2.  Selecting the first column of the table, and updating the fields (<F9>, or Tools, Update Fields), causes the desired renumbering both in the Table and the main text of the document.

So far, so good.

THE BUG:
If the author then selects Edit, Undo sort table, all the bookmarks are lost.

CONSEQUENCES:
These are likely to be severe.  This technique is typically used in long and complex documents with a large number of references.  The impact would be felt close to a publication deadline, and the information loss incurred would make recovery difficult.
Comment 1 sasha.libreoffice 2012-05-02 22:01:56 UTC
Thanks for bugreport.
reproduced in 3.3.4 and 3.5.3 on Fedora 64 bit
Before we use Undo, in first cell of table is these tags:
<text:bookmark-start text:name="Archimedes"/>
<text:bookmark-end text:name="Archimedes"/>
after use Undo they disappears. Content lost.

Changing version to 3.3.4 as most early reproducible
Comment 2 Rainer Bielefeld Retired 2012-07-04 22:23:35 UTC
Still [Reproducible] with reporter's sample and parallel installation of Master "LOdev " 3.7.0.0.alpha0+   - WIN7 Home Premium (64bit) ENGLISH UI [Build ID: 3985521]" (tinderbox: W2008R2@16-minimal_build, pull time 2012-06-24)

@Cédric:
Please set Status to ASSIGNED and add yourself to "Assigned To" if you accept this Bug
Comment 3 G.King 2013-03-04 16:12:12 UTC
Still [Reproducible] in 4.0.0.3 (OSX)
Comment 4 Cédric Bosdonnat 2014-01-20 08:57:11 UTC
Restricted my LibreOffice hacking area
Comment 5 Joel Madero 2015-05-02 15:41:53 UTC Comment hidden (obsolete)
Comment 6 G.King 2015-05-02 23:49:15 UTC
Bug is still present in LO 4.3.5.2 (OSX) and in 4.2.6.3 Build ID 4.2.6.3-5.el7 under Linux.  The latter is the most recent build available in Centos7.

I'll install a VM with a more recent LO, and report back (might take a few days).
Comment 7 QA Administrators 2016-09-20 09:37:42 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920